curl --request GET \
--url https://external.pleo.io/v1/accounting-entries/{accountingEntryId}/receipts \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/accounting-entries/{accountingEntryId}/receipts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/accounting-entries/{accountingEntryId}/receipts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"accountingEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"fileType": "EMBED",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "unknown",
"sizeInBytes": 123,
"source": "APP_SHARE",
"url": "<string>",
"ocrDocumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {},
"after": "<string>",
"before": "<string>",
"limit": 123,
"offset": 123,
"sortingKeys": [
"<string>"
],
"sortingOrder": [
"ASC"
]
},
"hasNextPage": true,
"hasPreviousPage": true,
"endCursor": "<string>",
"startCursor": "<string>",
"total": 123
}
}Get all receipts of an accounting entry.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
Query Parameters
Only return Receipts with the given source. Useful for fetching a list of receipts uploaded via particular sources.
APP_SHARE: The receipt was uploaded via the share to Pleo mobile app function.
BOLT: The receipt was retrieved from Bolt mobile app.
CAMERA: The receipt was uploaded via the camera in the Pleo mobile app.
CASHBACK: The receipt was generated by the Cashback feature.
EMAIL_FETCHING: The receipt was automatically fetched via Pleo Fetch.
EMAIL_FETCHING_BATCHED: The receipt was automatically fetch via Pleo Fetch in a batch.
EMAIL_FORWARDING: The receipt was forwarded to Pleo via email.
GENERATED_RECEIPT: The receipt was generated by internal systems.
LOST_RECEIPT: The receipt was generated by the Lost Receipt feature.
ROGER: The receipt was automatically fetched via the Roger integration
STOREBOX: The receipt was uploaded via the Storebox integration.
STRIPE: The receipt was uploaded via the Stripe integration.
TRAVELPERK: The receipt was uploaded via the TravelPerk integration.
USER: The receipt was uploaded by the user.
APP_SHARE, BOLT, CAMERA, CASHBACK, EMAIL_FETCHING, EMAIL_FETCHING_BATCHED, EMAIL_FORWARDING, GENERATED_RECEIPT, LOST_RECEIPT, ROGER, STOREBOX, STRIPE, TRAVELPERK, USER Return all receipts with the presigned URL generated for the given file type. Used for fetching receipts with a presigned URL other than the default (ORIGINAL).
ORIGINAL: The original file as it was uploaded.
THUMBNAIL: Representation of the original file in a small image.
PREVIEW: Display of the original file in a concise format.
EMBED, ORIGINAL, THUMBNAIL, PREVIEW Lower bound of the page of data to return (cannot be used together with [after])
Upper bound of the page of data to return (cannot be used together with [before])
The maximum amount of items to return. Never returns more than 100 items
1 <= x <= 100The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.
ASC, ASC_NULLS_FIRST, ASC_NULLS_LAST, DESC, DESC_NULLS_FIRST, DESC_NULLS_LAST The keys to sort the results by
createdAt, id, size Was this page helpful?